app/urls.py
from django.contrib import admin
from django.urls import path
from app import views

app_name = 'app'

urlpatterns = [
    path('', views.all_parcels, name='all_parcels'),
    path('<int:pk>', views.parcel_details, name='parcel_details'),
    path('add-parcel', views.add_parcel, name='add_parcel')
]

composeexample/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('app/', include('app.urls'))
]

app/models.py
from django.db import models

# Create your models here.

class App(models.Model):
    items = models.CharField(max_length=100)
    address = models.TextField()
    carrier = models.CharField(max_length=25)


class Parcel(models.Model):
    items = models.CharField(max_length=100)
    address = models.TextField()
    carrier = models.CharField(max_length=25)

app/forms.py
from django import forms
from .models import App

class ParcelForm(forms.ModelForm):
    class Meta:
        model = App

        fields = ['items', 'address', 'carrier']

app/views.py
from django.shortcuts import render
from app.models import Parcel
from .forms import ParcelForm
from django.shortcuts import redirect


# Create your views here.


def all_parcels(request):
    parcel = Parcel.objects.all()
    return render(request, 'app/all_parcels.html',
                  {'parcel': parcel})

def parcel_details(request, pk):
    parcel = Parcel.objects.get(pk=pk)
    return render(request, 'app/detail.html',
                  {'parcel': parcel})

def add_parcel(request):
    if request.method == "POST":
        form = ParcelForm(request.POST)
        if form.is_valid():
            parcel = form.save()
            return redirect('app:parcel_details', pk=parcel.pk)
    else:
        form = ParcelForm()
    return render(request, 'app/add_parcel.html', {'form': form})

app/templates/app/add_parcel.html
{% extends 'app/base.html' %}

{% block content %}
    <h2>New parcel</h2>
    <form method="POST" class="post-form">{% csrf_token %}
        {{ form.as_p }}
        <button type="submit" class="save btn btn-default">Save</button>
    </form>
{% endblock %}

app/templates/app/all_parcels.html
{% extends 'app/base.html' %}
{% block content %}
    <div class="row">
      {% for p in parcel %}
    <div class="col-sm mt-4">
    <div class="card">
    <div class="card-body">
      <a href="{% url 'app:parcel_details' p.pk %}" class="btn">{{ p.id }}</a>
      <p class="card-text">
        <p>{{ p.items }} </p>
        <p>{{ p.address }}</p>
        <p>{{ p.carrier }}</p>
      </p>
    </div>
    </div>
    </div>
       {% endfor %}
    </div>

{% endblock %}

app/templates/app/base.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">

    <title>MiniSC</title>
</head>
<body>
    {% block content %}

    {% endblock %}

    <!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>

</body>
</html>

app/templates/app/detail.html
{% extends 'app/base.html' %}
{% block content %}

    <div class="row">
    <div class="col-sm mt-4">
    <div class="card">
    <div class="card-body">
      <h5 class="card-title">{{ parcel.id }}</h5>
      <p class="card-text">
        <p>{{ parcel.items }} </p>
        <p>{{ parcel.address }}</p>
        <p>{{ parcel.carrier }}</p>
        <a href="{% url 'app:all_parcels' %}"><-</a>
      </p>
    </div>
    </div>
    </div>
    </div>
{% endblock %}